## gstreamer-editing-services1.0 1.18.4

=== meson_options.txt ===
# Common feature options
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')
option('examples', type : 'feature', value : 'auto', yield : true,
       description : 'Build examples')
option('introspection', type : 'feature', value : 'auto', yield : true,
       description : 'Generate gobject-introspection bindings')
option('tests', type : 'feature', value : 'auto', yield : true,
       description : 'Build and enable unit tests')
option('tools', type : 'feature', value : 'auto', yield : true,
       description : 'Build ges-launch command line tool')

# GES options
option('bash-completion', type : 'feature', value : 'auto',
       description : 'Install bash completion files')
option('pygi-overrides-dir', type : 'string', value : '',
        description: 'Path to pygobject overrides directory')
option('xptv', type : 'feature', value : 'auto',
       description : 'Build the deprecated xptv formater')
option('python', type : 'feature', value : 'auto', yield: true,
       description: 'Enable python formatters.')
option('libpython-dir', type : 'string', value : '',
        description: 'Path to find libpythonXX.so')
option('validate', type : 'feature', value : 'auto', yield: true,
       description: 'Enable GstValidate integration.')
option('examples', type : 'feature', value : 'auto', yield : true)

=== debian/changelog ===
gstreamer-editing-services1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 21:00:04 +0300

gstreamer-editing-services1.0 (1.18.4-1) experimental; urgency=medium

  [ Jordan Petridis ]
  * ges1.0-tools: install bash completions.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 12:00:58 +0300

=== debian/control ===
Source: gstreamer-editing-services1.0
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.15.1),
               meson (>= 0.48),
               pkg-config (>= 0.11.0),
               bison (>= 1:2.4),
               flex (>= 2.5.34),
               libxml2-dev,
               libglib2.0-dev (>= 2.44),
               libgstreamer1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev,
               gir1.2-gstreamer-1.0 (>= 1.18.0),
               gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
               gstreamer1.0-plugins-base (>= 1.18.0),
               gstreamer1.0-x (>= 1.18.0),
               gstreamer1.0-plugins-good (>= 1.18.0),
               gstreamer1.0-plugins-bad (>= 1.18.0),
               python3-gi (>= 3.8),
               python-gi-dev (>= 3.8),
               python3-all-dev,
               bash-completion
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0/
Homepage: https://gstreamer.freedesktop.org

Package: libges-1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libges-1.0-0 (= ${binary:Version}),
         libgstreamer-plugins-base1.0-dev (>= 1.18.0),
         libgstreamer1.0-dev (>= 1.18.0),
         libglib2.0-dev (>= 2.44)
Description: GStreamer editing services (development files)
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains development files for the GStreamer
 editing services.

Package: libges-1.0-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gstreamer1.0-plugins-base (>= 1.18.0),
         gstreamer1.0-x (>= 1.18.0),
         gstreamer1.0-plugins-good (>= 1.18.0),
         gstreamer1.0-plugins-bad (>= 1.18.0)
Description: GStreamer editing services (shared library)
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains the shared library for the GStreamer editing
 services.

Package: ges1.0-tools
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tools for use with the GStreamer editing services
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains command-line tools for GStreamer editing
 services.

Package: gir1.2-ges-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GES library
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains introspection data for the GStreamer editing
 services.

Package: python3-ges-1.0
Section: python
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (>= 3.8),
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.18.0),
         gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
         gir1.2-ges-1.0 (>= 1.18.0)
Description: Python bindings for the GES library
 The GStreamer multimedia framework and the accompanying NLE set of
 plugins for non-linear editing offer all the building blocks for:
 * Decoding and encoding to a wide variety of formats, through all the
   available GStreamer plugins.
 * Easily choosing segments of streams and arranging them through time
   through the NLE set of plugins.
 But all those building blocks only offer stream-level access, which
 results in developers who want to write non-linear editors to write a
 consequent amount of code to get to the level of non-linear editing
 notions which are closer and more meaningful for the end-user
 (and therefore the application).
 .
 The GStreamer Editing Services (GES) aims to fill the gap between
 GStreamer/NLE and the application developer by offering a series
 of classes to simplify the creation of many kind of editing-related
 applications.
 .
 This package contains Python bindings for the GStreamer editing services.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python3/python.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0

%:
	dh $@ --buildsystem=meson --with python3,gir

override_dh_auto_configure:
	dh_auto_configure -- --default-library shared $(conf_flags)

override_dh_auto_test:
	dh_auto_test || true

override_dh_shlibdeps:
	dh_shlibdeps
	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
		dh_girepository -pgir1.2-ges-1.2
	rm -rf $(CURDIR)/fake-home

override_dh_strip:
	dh_strip --dbgsym-migration='libges-1.0-0-dbg (<< 1.17.2-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -plibges-1.0-0 -V 'libges-1.0-0 (>= $(gst_version))' -- -c4

## gstreamer-editing-services1.0 1.18.5

=== debian/changelog ===
gstreamer-editing-services1.0 (1.18.5-1build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 15:06:58 +0000

gstreamer-editing-services1.0 (1.18.5-1build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:21:24 +0200

gstreamer-editing-services1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:48:59 +0300

## gstreamer-editing-services1.0 1.19.90

=== debian/changelog ===
gstreamer-editing-services1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 18:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,24 +7,24 @@
                debhelper-compat (= 13),
                dh-python,
                dpkg-dev (>= 1.15.1),
-               meson (>= 0.48),
+               meson (>= 0.59),
                pkg-config (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
                libxml2-dev,
-               libglib2.0-dev (>= 2.44),
-               libgstreamer1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
-               gstreamer1.0-plugins-base (>= 1.18.0),
+               libglib2.0-dev (>= 2.56),
+               libgstreamer1.0-dev (>= 1.19.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.19.90),
+               gstreamer1.0-plugins-base (>= 1.19.90),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.18.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
-               gstreamer1.0-plugins-base (>= 1.18.0),
-               gstreamer1.0-x (>= 1.18.0),
-               gstreamer1.0-plugins-good (>= 1.18.0),
-               gstreamer1.0-plugins-bad (>= 1.18.0),
+               gir1.2-gstreamer-1.0 (>= 1.19.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
+               gstreamer1.0-plugins-base (>= 1.19.90),
+               gstreamer1.0-x (>= 1.19.90),
+               gstreamer1.0-plugins-good (>= 1.19.90),
+               gstreamer1.0-plugins-bad (>= 1.19.90),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -40,8 +40,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.18.0),
-         libgstreamer1.0-dev (>= 1.18.0),
+         libgstreamer-plugins-base1.0-dev (>= 1.19.90),
+         libgstreamer1.0-dev (>= 1.19.90),
          libglib2.0-dev (>= 2.44)
 Description: GStreamer editing services (development files)
  The GStreamer multimedia framework and the accompanying NLE set of
@@ -69,10 +69,10 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.18.0),
-         gstreamer1.0-x (>= 1.18.0),
-         gstreamer1.0-plugins-good (>= 1.18.0),
-         gstreamer1.0-plugins-bad (>= 1.18.0)
+         gstreamer1.0-plugins-base (>= 1.19.90),
+         gstreamer1.0-x (>= 1.19.90),
+         gstreamer1.0-plugins-good (>= 1.19.90),
+         gstreamer1.0-plugins-bad (>= 1.19.90)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -157,9 +157,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.18.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
-         gir1.2-ges-1.0 (>= 1.18.0)
+         gir1.2-gstreamer-1.0 (>= 1.19.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
+         gir1.2-ges-1.0 (>= 1.19.90)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.20.0

=== debian/changelog ===
gstreamer-editing-services1.0 (1.20.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Make libges-1.0-dev package depend on the proper version of
    libpython-dev (Closes: #1005594).
  * Also make libges-1.0-dev depend against libxml2-dev. This is listed in the
    Requires.private dependencies of the pkg-config file.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Feb 2022 12:40:20 +0200

gstreamer-editing-services1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 09:05:10 +0200

=== debian/control ===
--- 
+++ 
@@ -13,18 +13,18 @@
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.19.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.19.90),
-               gstreamer1.0-plugins-base (>= 1.19.90),
+               libgstreamer1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.19.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
-               gstreamer1.0-plugins-base (>= 1.19.90),
-               gstreamer1.0-x (>= 1.19.90),
-               gstreamer1.0-plugins-good (>= 1.19.90),
-               gstreamer1.0-plugins-bad (>= 1.19.90),
+               gir1.2-gstreamer-1.0 (>= 1.20.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
+               gstreamer1.0-plugins-base (>= 1.20.0),
+               gstreamer1.0-x (>= 1.20.0),
+               gstreamer1.0-plugins-good (>= 1.20.0),
+               gstreamer1.0-plugins-bad (>= 1.20.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -40,9 +40,11 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.19.90),
-         libgstreamer1.0-dev (>= 1.19.90),
-         libglib2.0-dev (>= 2.44)
+         libgstreamer-plugins-base1.0-dev (>= 1.20.0),
+         libgstreamer1.0-dev (>= 1.20.0),
+         libglib2.0-dev (>= 2.44),
+         libxml2-dev,
+         ${PythonDevPackage}
 Description: GStreamer editing services (development files)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -69,10 +71,10 @@
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.19.90),
-         gstreamer1.0-x (>= 1.19.90),
-         gstreamer1.0-plugins-good (>= 1.19.90),
-         gstreamer1.0-plugins-bad (>= 1.19.90)
+         gstreamer1.0-plugins-base (>= 1.20.0),
+         gstreamer1.0-x (>= 1.20.0),
+         gstreamer1.0-plugins-good (>= 1.20.0),
+         gstreamer1.0-plugins-bad (>= 1.20.0)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -157,9 +159,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.19.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.19.90),
-         gir1.2-ges-1.0 (>= 1.19.90)
+         gir1.2-gstreamer-1.0 (>= 1.20.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
+         gir1.2-ges-1.0 (>= 1.20.0)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.20.1

=== debian/changelog ===
gstreamer-editing-services1.0 (1.20.1-2) unstable; urgency=medium

  * debian/control:
    + Let the -dev package depend on the gir1.2 package.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 16 Mar 2022 10:52:21 +0200

gstreamer-editing-services1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:49:14 +0200

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
          libgstreamer1.0-dev (>= 1.20.0),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
+         gir1.2-ges-1.0 (= ${binary:Version}),
          ${PythonDevPackage}
 Description: GStreamer editing services (development files)
  The GStreamer multimedia framework and the accompanying NLE set of

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
 gst_version=$(shell echo $(version) | cut -d '-' -f 1)
+# default version of python
+python_version=$(shell py3versions -d)
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -38,3 +40,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -plibges-1.0-0 -V 'libges-1.0-0 (>= $(gst_version))' -- -c4
 
+override_dh_gencontrol:
+	echo "PythonDevPackage=lib$(python_version)-dev" >> debian/libges-1.0-dev.substvars
+	dh_gencontrol

## gstreamer-editing-services1.0 1.20.2

=== debian/changelog ===
gstreamer-editing-services1.0 (1.20.2-1ubuntu1) kinetic; urgency=medium

  * Don't ignore build test failures on amd64 & arm64
  * Add patch to increase test timeout limit

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 May 2022 14:02:58 -0400

gstreamer-editing-services1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:13:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gstreamer-editing-services1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: debhelper,
                debhelper-compat (= 13),

## gstreamer-editing-services1.0 1.20.3

=== debian/changelog ===
gstreamer-editing-services1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.
  * debian/patches/2623.patch:
    + Fix serious performance regression, see:
      https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2623

  [ Jeremy Bicha ]
  * Don't ignore build test failures on amd64 & arm64.
  * Add debian/gbp.conf.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 09:33:38 +0300

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,11 @@
 	dh_auto_configure -- --default-library shared $(conf_flags)
 
 override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
+	dh_auto_test
+else
 	dh_auto_test || true
+endif
 
 override_dh_shlibdeps:
 	dh_shlibdeps

## gstreamer-editing-services1.0 1.20.5

=== debian/changelog ===
gstreamer-editing-services1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Drop patch applied in new release
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 15:48:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gstreamer-editing-services1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper,
-               debhelper-compat (= 13),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-python3,
                dpkg-dev (>= 1.15.1),
                meson (>= 0.59),
                pkg-config (>= 0.11.0),
@@ -17,7 +16,6 @@
                libgstreamer1.0-dev (>= 1.20.0),
                libgstreamer-plugins-base1.0-dev (>= 1.20.0),
                libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
-               gstreamer1.0-plugins-base (>= 1.20.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
                gir1.2-gstreamer-1.0 (>= 1.20.0),
@@ -30,7 +28,7 @@
                python-gi-dev (>= 3.8),
                python3-all-dev,
                bash-completion
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -70,7 +68,6 @@
 
 Package: libges-1.0-0
 Architecture: any
-Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gstreamer1.0-plugins-base (>= 1.20.0),

=== debian/rules ===
--- 
+++ 
@@ -14,15 +14,10 @@
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
-
-conf_flags = --libdir=lib/$(DEB_HOST_MULTIARCH) --libexecdir=lib/$(DEB_HOST_MULTIARCH)/gstreamer1.0
+LDFLAGS += -Wl,-z,defs -Wl,-O1
 
 %:
-	dh $@ --buildsystem=meson --with python3,gir
-
-override_dh_auto_configure:
-	dh_auto_configure -- --default-library shared $(conf_flags)
+	dh $@
 
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
@@ -31,15 +26,11 @@
 	dh_auto_test || true
 endif
 
-override_dh_shlibdeps:
-	dh_shlibdeps
+execute_after_dh_shlibdeps:
 	mkdir -p $(CURDIR)/fake-home
 	HOME=$(CURDIR)/fake-home \
 		dh_girepository -pgir1.2-ges-1.2
 	rm -rf $(CURDIR)/fake-home
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libges-1.0-0-dbg (<< 1.17.2-1~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -plibges-1.0-0 -V 'libges-1.0-0 (>= $(gst_version))' -- -c4

## gstreamer-editing-services1.0 1.22.0

=== debian/changelog ===
gstreamer-editing-services1.0 (1.22.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:45:27 -0500

gstreamer-editing-services1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum gstreamer and meson
  * debian/libges-1.0-0.symbols: Add new symbols
  * debian/rules: Set -Dauto_features=enabled
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 15:22:21 -0500

=== debian/control ===
--- 
+++ 
@@ -6,29 +6,29 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-python3,
-               dpkg-dev (>= 1.15.1),
-               meson (>= 0.59),
+               meson (>= 0.62),
                pkg-config (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.20.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.20.0),
+               libgstreamer1.0-dev (>= 1.22.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.22.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.20.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
-               gstreamer1.0-plugins-base (>= 1.20.0),
-               gstreamer1.0-x (>= 1.20.0),
-               gstreamer1.0-plugins-good (>= 1.20.0),
-               gstreamer1.0-plugins-bad (>= 1.20.0),
+               gir1.2-gstreamer-1.0 (>= 1.22.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
+               gstreamer1.0-plugins-base (>= 1.22.0),
+               gstreamer1.0-x (>= 1.22.0),
+               gstreamer1.0-plugins-good (>= 1.22.0),
+               gstreamer1.0-plugins-bad (>= 1.22.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
                bash-completion
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gstreamer-editing-services1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -39,8 +39,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.20.0),
-         libgstreamer1.0-dev (>= 1.20.0),
+         libgstreamer-plugins-base1.0-dev (>= 1.22.0),
+         libgstreamer1.0-dev (>= 1.22.0),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -70,10 +70,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.20.0),
-         gstreamer1.0-x (>= 1.20.0),
-         gstreamer1.0-plugins-good (>= 1.20.0),
-         gstreamer1.0-plugins-bad (>= 1.20.0)
+         gstreamer1.0-plugins-base (>= 1.22.0),
+         gstreamer1.0-x (>= 1.22.0),
+         gstreamer1.0-plugins-good (>= 1.22.0),
+         gstreamer1.0-plugins-bad (>= 1.22.0)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -158,9 +158,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.20.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.20.0),
-         gir1.2-ges-1.0 (>= 1.20.0)
+         gir1.2-gstreamer-1.0 (>= 1.22.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
+         gir1.2-ges-1.0 (>= 1.22.0)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,10 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		-Dauto_features=enabled -Ddoc=disabled -Dvalidate=disabled
+
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
 	dh_auto_test

## gstreamer-editing-services1.0 1.22.1

=== debian/changelog ===
gstreamer-editing-services1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Apr 2023 10:28:33 -0400

## gstreamer-editing-services1.0 1.22.3

=== debian/changelog ===
gstreamer-editing-services1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release t ounstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:47:28 -0400

gstreamer-editing-services1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * debian/rules: Enable all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 21 May 2023 08:07:16 -0400

## gstreamer-editing-services1.0 1.22.4

=== debian/changelog ===
gstreamer-editing-services1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Explicitly set pygi-overrides-dir to work around meson behavior change

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 18:53:57 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/dpkg/default.mk
 include /usr/share/python3/python.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 
 # debian package version
@@ -12,16 +14,13 @@
 # default version of python
 python_version=$(shell py3versions -d)
 
-CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs -Wl,-O1
-
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dauto_features=enabled -Ddoc=disabled -Dvalidate=disabled
+		-Dauto_features=enabled -Ddoc=disabled -Dvalidate=disabled \
+		-Dpygi-overrides-dir=/usr/lib/python3/dist-packages/gi/overrides
 
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
@@ -39,6 +38,5 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -plibges-1.0-0 -V 'libges-1.0-0 (>= $(gst_version))' -- -c4
 
-override_dh_gencontrol:
+execute_before_dh_gencontrol:
 	echo "PythonDevPackage=lib$(python_version)-dev" >> debian/libges-1.0-dev.substvars
-	dh_gencontrol

## gstreamer-editing-services1.0 1.23.2

=== debian/changelog ===
gstreamer-editing-services1.0 (1.23.2-1) unstable; urgency=medium

  * New upstream version 1.23.1
  * d/control: pkg-config is transitional
  * d/patches: refresh
  * d/control: depend on gst 1.23.1
  * d/symbols: update with 1.23.1
  * New upstream version 1.23.2

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 16 Feb 2024 17:04:19 +0100

gstreamer-editing-services1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 05 Feb 2024 14:54:58 +0100

gstreamer-editing-services1.0 (1.22.8-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Team upload
  * New upstream release
  * Revert pygi-overrides-dir workaround: no longer needed

  [ Graham Inggs ]
  * Add patch to ignore tests that have failed since glib 2.76
    and are blocking the ongoing Python 3.12 transition
    Mitigates: #1042341

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Jan 2024 14:03:16 -0500

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,28 @@
 Section: libs
 Priority: optional
 Maintainer: Maintainers of GStreamer packages <gstreamer-editing-services1.0@packages.debian.org>
-Uploaders: Sebastian Dröge <slomo@debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-python3,
                meson (>= 0.62),
-               pkg-config (>= 0.11.0),
+               pkgconf (>= 0.11.0),
                bison (>= 1:2.4),
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.22.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.22.0),
+               libgstreamer1.0-dev (>= 1.23.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.23.1),
+               libgstreamer-plugins-bad1.0-dev (>= 1.23.1),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.22.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
-               gstreamer1.0-plugins-base (>= 1.22.0),
-               gstreamer1.0-x (>= 1.22.0),
-               gstreamer1.0-plugins-good (>= 1.22.0),
-               gstreamer1.0-plugins-bad (>= 1.22.0),
+               gir1.2-gstreamer-1.0 (>= 1.23.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.23.1),
+               gstreamer1.0-plugins-base (>= 1.23.1),
+               gstreamer1.0-x (>= 1.23.1),
+               gstreamer1.0-plugins-good (>= 1.23.1),
+               gstreamer1.0-plugins-bad (>= 1.23.1),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -39,8 +40,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.22.0),
-         libgstreamer1.0-dev (>= 1.22.0),
+         libgstreamer-plugins-base1.0-dev (>= 1.23.1),
+         libgstreamer1.0-dev (>= 1.23.1),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -70,10 +71,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.22.0),
-         gstreamer1.0-x (>= 1.22.0),
-         gstreamer1.0-plugins-good (>= 1.22.0),
-         gstreamer1.0-plugins-bad (>= 1.22.0)
+         gstreamer1.0-plugins-base (>= 1.23.1),
+         gstreamer1.0-x (>= 1.23.1),
+         gstreamer1.0-plugins-good (>= 1.23.1),
+         gstreamer1.0-plugins-bad (>= 1.23.1)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -158,9 +159,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.22.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.22.0),
-         gir1.2-ges-1.0 (>= 1.22.0)
+         gir1.2-gstreamer-1.0 (>= 1.23.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.23.1),
+         gir1.2-ges-1.0 (>= 1.23.1)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

## gstreamer-editing-services1.0 1.24.2

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 11:11:04 +0200

gstreamer-editing-services1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 11:50:43 +0100

gstreamer-editing-services1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/patches: refresh
  * d/control: bump gstreamer dependencies to 1.24.0
  * d/symbols: update with 1.23.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 16:17:57 +0100

gstreamer-editing-services1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 14:57:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dauto_features=enabled -Ddoc=disabled -Dvalidate=disabled \
-		-Dpygi-overrides-dir=/usr/lib/python3/dist-packages/gi/overrides
+		-Dauto_features=enabled -Ddoc=disabled -Dvalidate=disabled
 
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-editing-services/ gst-editing-services-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gstreamer-editing-services1.0 1.24.3

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 11:40:46 +0200

## gstreamer-editing-services1.0 1.24.4

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.4-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:32:32 +0200

## gstreamer-editing-services1.0 1.24.5

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:46:36 +0200

## gstreamer-editing-services1.0 1.24.6

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 19:38:05 +0200

## gstreamer-editing-services1.0 1.24.7

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.7-1) unstable; urgency=medium

  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:43:48 +0200

## gstreamer-editing-services1.0 1.24.8

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 15:24:06 +0200

## gstreamer-editing-services1.0 1.24.10

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.10-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 14:42:45 +0100

gstreamer-editing-services1.0 (1.24.10-1) unstable; urgency=medium

  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 11:34:54 +0100

gstreamer-editing-services1.0 (1.24.9-1) unstable; urgency=medium

  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 10:02:09 +0100

## gstreamer-editing-services1.0 1.24.11

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:18:56 +0100

## gstreamer-editing-services1.0 1.24.12

=== debian/changelog ===
gstreamer-editing-services1.0 (1.24.12-1) unstable; urgency=medium

  * d/watch pin on 1.24.x
  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 09:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.23.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.23.1),
-               libgstreamer-plugins-bad1.0-dev (>= 1.23.1),
+               libgstreamer1.0-dev (>= 1.24.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.24.0),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.23.1),
-               gir1.2-gst-plugins-base-1.0 (>= 1.23.1),
-               gstreamer1.0-plugins-base (>= 1.23.1),
-               gstreamer1.0-x (>= 1.23.1),
-               gstreamer1.0-plugins-good (>= 1.23.1),
-               gstreamer1.0-plugins-bad (>= 1.23.1),
+               gir1.2-gstreamer-1.0 (>= 1.24.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
+               gstreamer1.0-plugins-base (>= 1.24.0),
+               gstreamer1.0-x (>= 1.24.0),
+               gstreamer1.0-plugins-good (>= 1.24.0),
+               gstreamer1.0-plugins-bad (>= 1.24.0),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -40,8 +40,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.23.1),
-         libgstreamer1.0-dev (>= 1.23.1),
+         libgstreamer-plugins-base1.0-dev (>= 1.24.0),
+         libgstreamer1.0-dev (>= 1.24.0),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -71,10 +71,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.23.1),
-         gstreamer1.0-x (>= 1.23.1),
-         gstreamer1.0-plugins-good (>= 1.23.1),
-         gstreamer1.0-plugins-bad (>= 1.23.1)
+         gstreamer1.0-plugins-base (>= 1.24.0),
+         gstreamer1.0-x (>= 1.24.0),
+         gstreamer1.0-plugins-good (>= 1.24.0),
+         gstreamer1.0-plugins-bad (>= 1.24.0)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -159,9 +159,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.23.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.23.1),
-         gir1.2-ges-1.0 (>= 1.23.1)
+         gir1.2-gstreamer-1.0 (>= 1.24.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
+         gir1.2-ges-1.0 (>= 1.24.0)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-editing-services/ gst-editing-services-(1\.24\.[\d]+)@ARCHIVE_EXT@

## gstreamer-editing-services1.0 1.25.50

=== debian/changelog ===
gstreamer-editing-services1.0 (1.25.50-1) experimental; urgency=medium

  * New upstream version 1.25.50

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Feb 2025 14:46:14 +0100

gstreamer-editing-services1.0 (1.25.1-1) experimental; urgency=medium

  * d/gbp.conf: adjust for experimental
  * New upstream version 1.25.1
  * d/control: bump GStreamer dependency to 1.25.1
  * d/control: add Build-Depends on gstreamer1.0-tools for gst-tester-1.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Jan 2025 17:04:46 +0100

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,18 @@
                flex (>= 2.5.34),
                libxml2-dev,
                libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.24.0),
+               libgstreamer1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-bad1.0-dev (>= 1.25.1),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev,
-               gir1.2-gstreamer-1.0 (>= 1.24.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
-               gstreamer1.0-plugins-base (>= 1.24.0),
-               gstreamer1.0-x (>= 1.24.0),
-               gstreamer1.0-plugins-good (>= 1.24.0),
-               gstreamer1.0-plugins-bad (>= 1.24.0),
+               gir1.2-gstreamer-1.0 (>= 1.25.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.25.1),
+               gstreamer1.0-plugins-base (>= 1.25.1),
+               gstreamer1.0-x (>= 1.25.1),
+               gstreamer1.0-plugins-good (>= 1.25.1),
+               gstreamer1.0-plugins-bad (>= 1.25.1),
+               gstreamer1.0-tools (>= 1.25.1),
                python3-gi (>= 3.8),
                python-gi-dev (>= 3.8),
                python3-all-dev,
@@ -40,8 +41,8 @@
 Section: libdevel
 Depends: ${misc:Depends},
          libges-1.0-0 (= ${binary:Version}),
-         libgstreamer-plugins-base1.0-dev (>= 1.24.0),
-         libgstreamer1.0-dev (>= 1.24.0),
+         libgstreamer-plugins-base1.0-dev (>= 1.25.1),
+         libgstreamer1.0-dev (>= 1.25.1),
          libglib2.0-dev (>= 2.44),
          libxml2-dev,
          gir1.2-ges-1.0 (= ${binary:Version}),
@@ -71,10 +72,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gstreamer1.0-plugins-base (>= 1.24.0),
-         gstreamer1.0-x (>= 1.24.0),
-         gstreamer1.0-plugins-good (>= 1.24.0),
-         gstreamer1.0-plugins-bad (>= 1.24.0)
+         gstreamer1.0-plugins-base (>= 1.25.1),
+         gstreamer1.0-x (>= 1.25.1),
+         gstreamer1.0-plugins-good (>= 1.25.1),
+         gstreamer1.0-plugins-bad (>= 1.25.1)
 Description: GStreamer editing services (shared library)
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
@@ -159,9 +160,9 @@
          ${misc:Depends},
          python3-gi (>= 3.8),
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.24.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
-         gir1.2-ges-1.0 (>= 1.24.0)
+         gir1.2-gstreamer-1.0 (>= 1.25.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.25.1),
+         gir1.2-ges-1.0 (>= 1.25.1)
 Description: Python bindings for the GES library
  The GStreamer multimedia framework and the accompanying NLE set of
  plugins for non-linear editing offer all the building blocks for:
